> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Company Basic Information

PUT https://api-b2b.bigcommerce.com/api/v2/io/companies/{companyId}/basic-info
Content-Type: application/json

Update a company's basic info, you can update on or more options

Reference: https://docs.bigcommerce.com/developer/docs/archive/b2b-edition/v2-api/company/companies-basic-info-update

## Authentication

- `authToken` header (required) — API Key authentication via header

## Request

### Path parameters

- `companyId` (string, required)

### Headers

- `authToken` (string, required) — Auth token in header.

### Body (application/json)

This endpoint expects an object.

- `addressLine1` (string, optional) — Address string line 1
- `addressLine2` (string, optional) — Address string line 2
- `catalogId` (string, optional) — BigCommerce price list Id that company related(If put its 0 will clear the catalog).
- `city` (string, optional)
- `companyEmail` (string, optional)
- `companyName` (string, optional)
- `companyStatus` (string, optional) — Company status: 0=PENDING 1=APPROVED 2=REJECTED 3=INACTIVE 4=DELETED
- `country` (string, optional) — Country full name or ISO2 country code. For Example: A Country full name: Afghanistan ISO2 Country code: AF
- `description` (string, optional)
- `extraFields` (list of CompaniesCompanyIdBasicInfoPutRequestBodyContentApplicationJsonSchemaExtraFieldsItems, optional) — To use customized extra fields with field names you need to first add company extra fields in Settings > Extra fields inside B2B edition. eg. If you want to create a new company with an extra integer field named licenseNO, you can use this structure \[\{'fieldName': 'LicenseNO', 'fieldValue': 10342340323}] in the request body.
- `phoneNumber` (string, optional)
- `state` (string, optional)
- `zipCode` (string, optional)
- `priceListAssign` (list of CompaniesCompanyIdBasicInfoPutRequestBodyContentApplicationJsonSchemaPriceListAssignItems, optional)

## Response

### 200

Response Success

- `code` (double, optional) — Response status code
- `data` (CompaniesCompanyIdBasicInfoPutResponsesContentApplicationJsonSchemaData, optional) — Response data
- `message` (string, optional) — Response message

## Errors

### 404 Not Found Error

Not Found Error

- `code` (double, optional) — Response status code
- `data` (CompaniesCompanyIdBasicInfoPutResponsesContentApplicationJsonSchemaData, optional) — Response data
- `message` (string, optional) — Response message

## Types

### CompaniesCompanyIdBasicInfoPutRequestBodyContentApplicationJsonSchemaExtraFieldsItems

- `fieldName` (string, optional)
- `fieldValue` (string, optional)

### CompaniesCompanyIdBasicInfoPutRequestBodyContentApplicationJsonSchemaPriceListAssignItems

- `channelId` (integer, optional) — BigCommerce channel id
- `priceListId` (integer, optional) — BC price list ID

### CompaniesCompanyIdBasicInfoPutResponsesContentApplicationJsonSchemaData

Response data

- `errMsg` (string, optional) — Error message info

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "companyId": "2"
  },
  "message": "Success"
}
```

**SDK Code**

```shell Shell

curl --location --request PUT 'https://api-b2b.bigcommerce.com/api/v2/io/companies/23'                         --header 'authToken: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY'                         --header 'Content-Type: application/json'                         --data-raw '{
    "companyName": "Acme Corporation",
    "phoneNumber": 122331212,
    "companyEmail": "contact@acme.com",
    "addressLine1": "123 Main Street",
    "addressLine2": "Suite 200",

}'

```

```python Python

                        import requests

                        url = "https://api-b2b.bigcommerce.com/api/v2/io/companies/23"

                        payload = "{
	"companyName": "Acme Corporation",
	"phoneNumber": "555-123-4567",
	"companyEmail": "contact@acme.com",
	"addressLine1": "123 Main Street",
	"addressLine2": "Suite 200",

}"
                        headers = {
                          'authToken': 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY',
                          'Content-Type': 'application/json'
                        }

                        response = requests.request("PUT", url, headers=headers, data = payload)

                        print(response.text.encode('utf8'))

```

```javascript JavaScript

                        var myHeaders = new Headers();
                        myHeaders.append("authToken", "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY");
                        myHeaders.append("Content-Type", "application/json");

                        var raw = "{
	"companyName": "Acme Corporation",
	"phoneNumber": "555-123-4567",
	"companyEmail": "contact@acme.com",
	"addressLine1": "123 Main Street",
	"addressLine2": "Suite 200",

}";

                        var requestOptions = {
                          method: 'PUT',
                          headers: myHeaders,
                          body: raw,
                          redirect: 'follow'
                        };

                        fetch("https://api-b2b.bigcommerce.com/api/v2/io/companies/23", requestOptions)
                          .then(response => response.text())
                          .then(result => console.log(result))
                          .catch(error => console.log('error', error));

```

```go Company_companies_basic-info_update_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/basic-info"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("authToken", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Company_companies_basic-info_update_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/basic-info")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["authToken"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Company_companies_basic-info_update_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/basic-info")
  .header("authToken", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Company_companies_basic-info_update_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/basic-info', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'authToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Company_companies_basic-info_update_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/basic-info");
var request = new RestRequest(Method.PUT);
request.AddHeader("authToken", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Company_companies_basic-info_update_example
import Foundation

let headers = [
  "authToken": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/basic-info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```